BufferStats (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.quorum

## Class BufferStats

- java.lang.Object
- - org.apache.zookeeper.server.quorum.BufferStats

-     public class BufferStats
      extends Object

  Provides live statistics about Jute buffer usage in term of proposal and client request size.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INIT_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferStats()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLastBufferSize()` Size of the last buffer usage.
    `int` | `getMaxBufferSize()` Size of the largest buffer usage.
    `int` | `getMinBufferSize()` Size of the smallest buffer usage.
    `void` | `reset()` Reset statistics.
    `void` | `setLastBufferSize(int value)` Updates statistics by setting the last buffer usage size.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INIT_VALUE

          public static final int INIT_VALUE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BufferStats

          public BufferStats()

  - ### Method Detail

    - #### getLastBufferSize

          public int getLastBufferSize()

      Size of the last buffer usage.

    - #### setLastBufferSize

          public void setLastBufferSize(int value)

      Updates statistics by setting the last buffer usage size.

    - #### getMinBufferSize

          public int getMinBufferSize()

      Size of the smallest buffer usage.

    - #### getMaxBufferSize

          public int getMaxBufferSize()

      Size of the largest buffer usage.

    - #### reset

          public void reset()

      Reset statistics.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.